Package: groovy.org.codenarc.rule.naming

## [Groovy] Class AbstractClassNameAstVisitor

- groovy.org.codenarc.rule.naming.AbstractClassNameAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `shouldVisit(org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTypeNameAstVisitor` | `shouldVisit, visitClassEx`

- - ### Method Detail

    - #### protected boolean shouldVisit(org.codehaus.groovy.ast.ClassNode classNode)